Subject: bug#23792: bug#28878: CEDET merge bug

From: Eric Ludlam <[email-masked]>
Date: Sun, 10 Nov 2019 19:11:42 -0500

On 11/10/19 4:07 PM, Stefan Kangas wrote:
> Edward Steere <[email-masked]> writes:
>
>> I don’t think that the merge was ever completed.
>>
>> Unfortunately, I think that I bit off more than I could chew when I tried to help out with this one.
>> I feel that my involvement with the CEDET project was too shallow to really understand how to merge it properly.
>>
>> There's been some added drift between the CEDET project and core since those efforts.
>> The drift is largely because of maintenance and API improvements to things like EIEIO.
>>
>> I'd be happy to assist in some capacity with the merge, but I certainly don’t feel comfortable spear heading it.
> Thanks for reporting back.  I don't really have much to add since I
> don't use CEDET myself.  Let's hope that someone else picks up the
> ball here.
>
> Copying in Eric Ludlam into the conversation as the listed maintainer of CEDET.

Thanks for the note.  I haven't been updating CEDET on sourceforge as 
these merges seem to be a problem, and the SF version can't run on newer 
versions of Emacs.

If there are puzzles around the merge done so far I can look at them, 
but I don't have commit privileges for Emacs, nor particularly deep git 
skills.

I recently posted patches to bring over a large swatch of CEDET tests, 
plus a few small fixes from SF to make them run, which Stefan pushed for 
me.  That could complicate the merge.

Eric